Update a property
curl --request PUT \
--url https://mycluster.domino.tech/api/taxonomy/v1/properties/{propertyId} \
--header 'Content-Type: application/json' \
--data '
{
"allowedEntities": [],
"label": "<string>",
"allowedValues": [
{
"subfield": "<string>",
"value": "<string>"
}
],
"description": "<string>",
"groupName": "<string>"
}
'import requests
url = "https://mycluster.domino.tech/api/taxonomy/v1/properties/{propertyId}"
payload = {
"allowedEntities": [],
"label": "<string>",
"allowedValues": [
{
"subfield": "<string>",
"value": "<string>"
}
],
"description": "<string>",
"groupName": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
allowedEntities: [],
label: '<string>',
allowedValues: [{subfield: '<string>', value: '<string>'}],
description: '<string>',
groupName: '<string>'
})
};
fetch('https://mycluster.domino.tech/api/taxonomy/v1/properties/{propertyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allowedEntities": [],
"allowedValues": [
{
"subfield": "<string>",
"value": "<string>"
}
],
"createdAt": "<string>",
"createdBy": {
"userID": "<string>",
"username": "<string>"
},
"description": "<string>",
"groupName": "<string>",
"id": "<string>",
"label": "<string>",
"updatedAt": "<string>",
"updatedBy": {
"userID": "<string>",
"username": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Properties - Definitions
Update a property
Update a property’s label, group, description, allowed entities, or allowed values
PUT
/
properties
/
{propertyId}
Update a property
Path Parameters
Property UUID
Body
application/json
Property fields to update
Minimum array length:
1Available options:
dataset, project, project_template, model, model_version, app, app_version, netapp_volume, environment, policy, policy_version Show child attributes
Show child attributes
Response
OK
Available options:
dataset, project, project_template, model, model_version, app, app_version, netapp_volume, environment, policy, policy_version Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
active, deleted Available options:
text, number, date, boolean, url, user, organization, user_or_org, select, multi_select Show child attributes
Show child attributes
Was this page helpful?
⌘I